{% extends 'common/base.html' %}

{% block title %}
    Posts with interest {{ interest.title|lower }} {{ block.super }}
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <div class="row">
            <!-- Left side -->
            <div class="col-md-3">
                <!-- Profile card -->
                <div class="row">
                    <div class="col-12 margin_top_default margin_bottom_default">
                        {% include 'common/includes/own_profile_card.html' %}
                    </div>
                </div>
            </div>
            <!-- Center - main content -->
            <div class="col-md-6">
                <!-- Post's link card -->
                <div class="card margin_top_default margin_bottom_default">
                    <div class="card-header"><h5 class="card-title">All posts with "{{ interest.title|title }}" interest:</h5></div>
                    <div class="card-body">
                    <h6 class="card-subtitle mb-2 text-muted mb-3">Choose a post</h6>
                        {% for post in interest.posts.all %}

                            {% if post.image %}
                                <a href="{{ post.get_absolute_url }}" class="mr-2 alert-link">{{ post.username|title }} posted the image {{ post.date_time|timesince }} ago...</a>
                            {% else %}
                                <a href="{{ post.get_absolute_url }}" class="mr-2 alert-link">{{ post.body|truncatewords:3|capfirst }}</a>
                            {% endif %}
                        {% endfor %}
                    </div>
                </div>
            </div>
            <!-- Right side -->
            <div class="col-md-1">

            </div>
        </div>
    </div>
{% endblock %}